#!/usr/bin/perl

use Net::Twitter;
use Data::Dumper;

if (@ARGV < 2) {
	die "Usage: ./public_timeline.pm <username> <password> <user> <text> [apiurl [apihost]]";
}
my ($username, $password, $user, $text, $apiurl, $apihost) = @ARGV;
my $twit = Net::Twitter->new(username=>$username,
		             password=>$password,
			     apiurl=>$apiurl,
			     apihost=>$apihost,
			     apirealm=>"Shovel API");
my $result = $twit->new_direct_message({user=>$user,
                                        text=>$text});
print Dumper($result);
